Subject: building postgres v4.1 under NetBSD-current

From: [email-masked]
Date: Mon, 14 Feb 94 07:05:05 +0100

Hi !

Last weekend I tried to compile postgres under NetBSD-current. I first tried to
compile bmake and did the folowing :
	- cd src/tools/bmake
	- make
		that compiles a couple of sources and then prints
	make: don't know how to make lstAppend.o
	- so I added 'lst.lib/' to the first object (lstAppend.o) in
	  makefile.boot line 19 (LSTOFILES=...) and did again
	- make -f Makefile.boot
		that compiles all files found in subdir lst.lib and then prints
	cc: lst.lib/lstAppend.o: no such file or directory
	- yes I know the .o files end up in subdir obj so I just removed
	  'lst.lib/' form Makefile.boot and typed 'make -f Makefile.boot'
	 once again.
	- that finally builds obj/bootmake and removes all .o files in obj
	- next the command './bootmake all install' is run and that prints :
make: no system rules (/home/postgres/src/tools/bmake/obj/mk-proto/sys.mk)

	there is no subdir mk-proto below of obj it's just below of bmake.

Do I have to install another make to make bmake or is this just a problem of
the make of NetBSD-current ?

Any hints appreciated.

	Regards
		Werner Kuehnert

/~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~\
|	E-Mail : [email-masked]          |
|	Tel.   : 0043-222-60171-5205                     |
|	FAX    : 0043-222-60171-5202                     |
|~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~|
|              Make a nice day :-)                       |
\_______________________________________________________/